FROM php:8.1-fpm

RUN apt-get update && \
    apt-get install -y \
    git \
    zip \
    unzip \
    libonig-dev \
    libpq-dev \
    libzip-dev \
    && docker-php-ext-install pdo pdo_pgsql zip

RUN pecl install xdebug \
    && docker-php-ext-enable xdebug

RUN wget https://getcomposer.org/installer -O - -q \
    | php -- --install-dir=/bin --filename=composer --quiet

RUN curl -sL https://deb.nodesource.com/setup_14.x | bash - \
    && apt-get install -y nodejs

ADD ./docker/php-fpm/config/php.ini /usr/local/etc/php/php.ini

WORKDIR /var/www